/*
 * src/instance.h
 *
 * Copyright (C) 2019 Ilja Kartašov <ik@lowenware.com>
 *
 * Project homepage: https://lowenware.com/aisl/
 *
 */

#ifndef INSTANCE_H_814CF474_A646_45B7_B6B2_3F4C7BEFA484
#define INSTANCE_H_814CF474_A646_45B7_B6B2_3F4C7BEFA484

#include <openssl/ssl.h>
#include <aisl/instance.h>

SSL_CTX *
aisl_get_ssl_ctx( aisl_t instance, const char * server_name );

void
aisl_set_error( aisl_t instance, const char * err_msg );
#endif /* !INSTANCE_H */
